---
title: Page inspector 3-pane mode
slug: Tools/Page_Inspector/3-pane_mode
tags:
  - 3-pane
  - CSS
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p class="summary">This article explains how to use the Page Inspector's 3-pane mode.</p>

<h2 id="Feature_summary">Feature summary</h2>

<p>From Firefox 62 onwards, the <a href="/en-US/docs/Tools/Page_Inspector">Page Inspector</a> has a new mode available — <strong>3-Pane mode</strong>. When activated, this allows you to see the following simultaneously:</p>

<ul>
 <li>The <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML">HTML pane</a> on the left hand side, as usual.</li>
 <li>The <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_CSS_rules">CSS Rules</a> in the middle in their own separate pane, rather than as a tab.</li>
 <li>The other CSS related features — such as <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_computed_CSS">Computed styles view</a>, <a href="/en-US/docs/Tools/Page_Inspector/How_to/Work_with_animations">Animations view</a>, and <a href="/en-US/docs/Tools/Page_Inspector/How_to/View_fonts">Fonts view</a> — in tabs on the right hand side, as usual.</li>
</ul>

<p><img alt="The firefox page inspector in 3 pane mode, with HTML pane on left, CSS rules pane in center, and CSS tool tabs on right" src="https://mdn.mozillademos.org/files/15935/3-pane-view-final.png" style="border-style: solid; border-width: 1px; display: block; height: 259px; margin: 0px auto; width: 1195px;"></p>

<div class="note">
<p><strong>Note</strong>: At narrower browser window widths, the tabs appear below the CSS Rules pane.</p>
</div>

<p>Having the CSS Rules in their own pane is very useful because it allows you to not only inspect your HTML and edit the CSS applied to it, but also see the effect this has on CSS features such as computed styles and grids in real time. You just need to have the relevant tab open to see the effect.</p>

<h2 id="A_brief_walkthrough">A brief walkthrough</h2>

<p>The 3-pane inspector is disabled by default. It is enabled via a toggle control found in the tabs pane on the left hand side.</p>

<p><img alt="a view of the tabs panel, showing the 2 to 3 pane toggle icon" src="https://mdn.mozillademos.org/files/15937/toggle-icon-final.png" style="display: block; height: 241px; margin: 0px auto; width: 410px;"></p>

<p>Press the toggle control to toggle between the 2- and 3-pane views.</p>

<p><img alt="The firefox page inspector in 2 pane mode, with HTML pane on left and CSS tool tabs on right" src="https://mdn.mozillademos.org/files/15936/2-pane-view-final.png" style="border-style: solid; border-width: 1px; display: block; height: 262px; margin: 0px auto; width: 1195px;"></p>

<p><img alt="The firefox page inspector in 3 pane mode, with HTML pane on left, CSS rules pane in center, and CSS tool tabs on right" src="https://mdn.mozillademos.org/files/15935/3-pane-view-final.png" style="border-style: solid; border-width: 1px; display: block; height: 259px; margin: 0px auto; width: 1195px;"></p>

<p>With the 3-pane mode enabled, you can observe live changes in CSS features as you edit the rules applied to the page. For example, you could edit a <a href="/en-US/docs/Web/CSS/CSS_Grid_Layout">CSS Grid</a> property and observe the change immediately in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_grid_layouts">Grid Inspector</a>.</p>

<p>{{EmbedYouTube("ELS2OOUvxIw")}}</p>

<h2 id="Enabling_the_3-pane_inspector_pre-Firefox_62">Enabling the 3-pane inspector pre-Firefox 62</h2>

<p>In earlier versions of Firefox (since Firefox 59/60), you can enable 3 pane mode in Release/Beta by going to about:config and flipping the following prefs to <code>true</code>:</p>

<p><code>devtools.inspector.split-rule-enabled</code> — this switches 3-pane mode on and off.</p>

<p><code>devtools.inspector.split-sidebar-toggle</code> — this adds the UI toggle button that lets you toggle it on and off.</p>

<p>In Firefox 61, these preferences got renamed to:</p>

<ul>
 <li><code>devtools.inspector.three-pane-enabled</code></li>
 <li><code>devtools.inspector.three-pane-toggle</code></li>
</ul>

<p>You need to flip these two to <code>true</code> in Release/Beta to test the feature in Firefox 61.</p>

<div class="note">
<p><strong>Note</strong>: The 3-pane inspector is already enabled in Nightly/Developer edition before Firefox 62.</p>
</div>
